"In order to operate on this tab, NoScript needs to reload it. Proceed?"

Bug reports and enhancement requests
Post Reply
UserUser
Posts: 1
Joined: Sat Dec 28, 2019 10:40 pm

"In order to operate on this tab, NoScript needs to reload it. Proceed?"

Post by UserUser » Sat Dec 28, 2019 10:44 pm

Hi,
I'm on macOS - Chrome version 79.0 - NoScript version 11.0.10.
Since updating to current NoScript version (11.0.10) something strange happened, I keep getting the following message "In order to operate on this tab, NoScript needs to reload it. Proceed?" whenever I try to open the selection tab, on websites where I do not authorize use of cookies. If authorize cookies, NoScript would work just fine, and show the selection tab. Before updating, NoScript worked independently of cookie permission.

Can someone pls explain why, since last update, I must authorize cookies for NoScript to work ? That is not how a Scriptblocker is supposed to work.
Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36

User avatar
Giorgio Maone
Site Admin
Posts: 8830
Joined: Wed Mar 18, 2009 11:22 pm
Location: Palermo - Italy
Contact:

Re: "In order to operate on this tab, NoScript needs to reload it. Proceed?"

Post by Giorgio Maone » Sat Dec 28, 2019 11:57 pm

This is due to https://github.com/hackademix/noscript/ ... f57fddR255
If "cookies" are disabled (the setting language is quite imprecise, as it apparently includes localStorage and sessionStorage), accessing sessionStorage at line 256 of SyncMessage.js throws an exception, causing the page not to communicate anymore with NoScript's background script (and therefore the UI not to work) even though permissions and restrictions are still applied normally.

I'm fixing this (by gracefully falling back) in next release.
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:72.0) Gecko/20100101 Firefox/72.0

Post Reply